-- 安全库存分批计算日志表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_SAFESTOCK_CALLOG')
 CREATE TABLE T_INVP_SAFESTOCK_CALLOG
(FID BIGINT DEFAULT 0 NOT NULL,
FSUBTASKNO NVARCHAR(50) DEFAULT(' ') NOT NULL,
FMASTERTASKNO NVARCHAR(50) DEFAULT(' ') NOT NULL,
FCREATETIME DATETIME,
FSTATUS NVARCHAR(50) DEFAULT(' ') NOT NULL,
FSUBTASKCOUNT BIGINT DEFAULT 0 NOT NULL,
FMSGSTART DATETIME,
FSUBTASKEND DATETIME,
FMSGUSERTIME BIGINT DEFAULT 0 NOT NULL,
FERRORMSG NVARCHAR(2000) DEFAULT(' ') NOT NULL,
FERRORMSG_TAG NCLOB NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FLEVELIDMSG NVARCHAR(2000) DEFAULT(' ') NOT NULL,
FLEVELIDMSG_TAG NCLOB NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_INVP_DACCALLOG' AND KSQL_COL_NAME ='FSUBTASKEND')
 ALTER TABLE T_INVP_DACCALLOG ADD (FSUBTASKEND DATETIME);